Package org.codehaus.janino

# Interface Java.DocCommentable

All Known Subinterfaces:
  `Java.AnnotationTypeDeclaration`, `Java.EnumDeclaration`

All Known Implementing Classes:
  `Java.ConstructorDeclarator`, `Java.EnumConstant`, `Java.FieldDeclaration`, `Java.FunctionDeclarator`, `Java.InterfaceDeclaration`, `Java.LocalClassDeclaration`, `Java.MemberAnnotationTypeDeclaration`, `Java.MemberClassDeclaration`, `Java.MemberEnumDeclaration`, `Java.MemberInterfaceDeclaration`, `Java.MethodDeclarator`, `Java.NamedClassDeclaration`, `Java.PackageMemberAnnotationTypeDeclaration`, `Java.PackageMemberClassDeclaration`, `Java.PackageMemberEnumDeclaration`, `Java.PackageMemberInterfaceDeclaration`

Enclosing class:
  `Java`

public static interface Java.DocCommentable
Representation of a Java element that can be annotated with a DOC comment ("`/** ... */`").

## Method Summary

Modifier and Type
Method
Description
`String`
`getDocComment()`
`boolean`
`hasDeprecatedDocTag()`
Returns `true` if the object has a doc comment and the `&#64;deprecated` tag appears in the doc comment.

## Method Details

### getDocComment

@Nullable String getDocComment()

Returns:
  The doc comment of the object or `null`

### hasDeprecatedDocTag

boolean hasDeprecatedDocTag()
Returns `true` if the object has a doc comment and the `&#64;deprecated` tag appears in the doc comment.